@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Abril+Fatface&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,100..900;1,100..900&display=swap');

:root{
  
  --primary:#03484c;
  --secondary: #20b098;
  --text: #333333;
}

body{
    font-family: "Public Sans", sans-serif !important;

}
#menu-items {
  background-color: white;
}
  .item-icons-container{
    margin-bottom: 40px;
    text-align: center;
    display: flex;
    justify-content: center;
  }
.modal-content {
  border: none !important;
}

.modal-header:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(./uploads/logo1.png);
  background-repeat:no-repeat;
  background-position-y:-210px;
  background-size: cover;
  opacity: 0.05;
  pointer-events: none;
  
}

.modal-header,
.modal-header .item-icons-container,
.modal-header .item-icons,
.modal-title {
  background-color: transparent !important;
  
}

.modal-title {
  font-weight: 700 !important;

  div{
    margin:0;
  }
}


.item-description-popup{
  font-weight:400 !important;
}

.multi-option-select{
  padding-bottom:10px;
  border-bottom: 1px dashed #676767;
  margin-bottom:20px;
}

.multi-option-select:last-child {
  border-bottom:none;
}

.modal-footer {
  min-height: 70px !important;
  background: #03484c0a;
}
.input-group-label {
  color: var(--text);
  border: 1px solid #e2e2e2;
  /* border-radius: none !important;*/
  padding: 0.9rem !important; 
}

.input-group-label:hover {
  background-color: var(--secondary) !important;
  color: #fff;
}


input:checked + .input-group-label,
.modal-deals .modal-header button,
.modal-deals .modal-footer button,
.modal-deals .modal-body .auto-deal-selection button,
.modal-deals .modal-body .deal-modal-body-selection-list button {
  background-color: var(--primary) !important;
}

.modal-footer input {
  background-color: var(--primary) !important;
  transition: all 0.3s ease-in-out;
  border-color:none;

  &:hover{
  background:var(--secondary) !important;
  border-radius:5px;
  transform:scale(1.1);
}

}



/* start ng header */
.navbar{
  height: 100px;
  background-color: var(--primary);
  padding-bottom: 1rem;
}

.navbar-right li a{
  background-color: rgba(3, 65, 68, 0.63);
  margin:5px;
  border-radius:5px;
  transition: all 0.3s ease;
}

.navbar-right li a:hover{
  background:var(--secondary) !important;
  border-radius:5px;
  transform:scale(1.1);
}

#main-nav{
        height:auto !important;

  @media (max-width:480px){
    
    .navbar-right{
      height:auto !important;
    }
    .toggle-left,.navbar-right a span{
      filter:invert(100%);
    }
  }
}

.list-unstyled li a{
  background-color:#ffff !important;
}

.list-unstyled li a:hover{
  background-color:transparent !important;
}

.horizontal-menu-fixed{
  padding-top: 4rem;
}
/* #storelocation-nav::before{
content: "";
  display: inline-block;
  width: 90px;
  height: 90px; 
  background-image: url('https://d2ova09jg8x3xk.cloudfront.net/localserves.com.au/therecboulder/images/logo.png');
  background-size: cover;
  margin-right: 8px; 
  margin-left: 40px; 
/ */

.navbar-nav.navbar-right:last-child{
  height: 100px !important;
  display: flex;
  align-items: center;
  font-family: "Montserrat", sans-serif;
}

.sidebar-offcanvas{
  top:100px !important;

  .alert-danger{
        background: #ba3528 !important;
  }
}

/* end ng header */


/* start ng office wrapper */
#menu{
  background-color: var(--primary);
}
#menu-ul li{
  background-color: var(secondary);
}
#menu-ul{
  background-color: var(--primary);
}
#menu-ul li {
  position: relative;
  display: inline-block;
  color: white;
  padding: 0;
  text-decoration: none;
  z-index: 1;
  /* overflow: hidden; */

  a{
    color:hsla(220, 7.8%, 77.5%, 1) !important;
  }
}


#menu-ul li::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 0%;
  background-color: var(--secondary); 
  z-index: -1;                         
  transition: height 0.3s ease;
}


#menu-ul li:hover::after {
  height: 100%;
}
#menu ul li:hover {
    background: transparent !important;
}
#menu ul li a:hover, #menu ul li:hover > a {
    color: #fff !important;
    background: none !important;
}
#menu-cont > #menu > #menu-ul > li > a.menu-active {
  border-bottom: none !important;
  background-color: var(--secondary);
  border-radius: 0px;
  color: #fff !important;

}

#float-box{
  border:none;

  #view-basket{
    padding-top:10px;
  }
  .basket-your-orders{
    width:fit-content !important;
    margin: 0 auto !important;
    background-color:var(--primary) !important;
    border-radius: 20px;
    color:#fff !important;
  }
  
  #mybasket-ul{
    background: transparent !important;

    .parent-item:first-child {
      border-bottom:1px dashed var(--primary) !important;
    }

    .parent-item{
      border-bottom:1px dashed var(--primary);

      .qty-label{
        font-weight:900;
        color: #fff;
        border-radius:50%;
        padding-right:0;
        padding:6px;
        background-color: var(--primary);
        outline: 1px solid #fff;
        outline-offset: -2px;
      }

      .x-label{
        padding:15px;
      }
      .remove-button{
        filter: invert(19%) sepia(100%) saturate(745%) hue-rotate(137deg) brightness(95%) contrast(98%);
      }

      .item-price-side{
        font-weight:900;
        color: var(--primary);
      }

      .item-label{
        font-weight:700;
        color: var(--primary);
      }
  }
}
}

.desk-top-title{
   font-family: "Abril Fatface", serif;
  font-weight: 400 !important;
  font-size: 5rem !important;
}

.office-wrapper{
  width: 70% !important;
  height: 400px;
  display: flex;
  align-items: end;
  padding-left: 15rem  !important;
}
.office-info .logo{
  display: none !important;
}
.storeinfo{
  width: 100%;
}
.office-info h3#title {
  display: block;
  border-bottom: 1px solid;
  width: 100%;
}

#bs-navbar {
  width: fit-content !important;
display: flex !important;
  
  p{
   padding-right: 10px
  }
}

/* end ng office wrapper */

/* start ng menu*/
.menu-item{
  border-bottom:none;
  padding-top:10rem;

  @media screen and (max-width: 1024px) {
    padding-top: 0
  }
}

.menu-item:first-child{
  padding-top:0;
}

.menu-item h1:before{
  content:''; 
  position:absolute; 
  width:100%;
  height:100%;
  top:0px;
  background:#fff;
  z-index:-10;
}

.menu-item h1{
  font-family: 'Times New Roman', serif !important;
  position:relative !important;
  top:10px !important;
  width:fit-content !important;
  margin:0 auto !important;
  z-index:10;
  color:var(--text) !important;
  background:transparent !important;
  font-size:4rem !important;
  color:var(--primary) !important;
  height:fit-content;
  z-index:1;
  
  @media screen and (max-width: 1024px) {
    top:0px !important;
    font-weight:900 !important;
    color:var(--primary) !important;
  }
}

@media (max-width: 768px) {
    #menu-title, #menu-items h1 {
        background-color: transparent !important;
      color:var(--primary) !important;
    }

  body{
    background: #fff !important;
  }
}

@media screen and (min-width: 1025px) {
    #menu-items h1 {
      font-size:4rem !important;
      color:var(--primary)
    }
}

#menu_items{
  border: 2px dashed #20b0984a;
  border-radius:3px;

    @media screen and (max-width: 1024px) {
      border:none;
    }
}

#menu-items ul li.group::before,
#menu-items ul li.single::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 0;
  background-color: var(--secondary);
  z-index: 0;
  transition: all 0.3s ease;
  border-radius: 5px; 

}

#menu-items ul li.group:hover::before,
#menu-items ul li.single:hover::before {
  height: 100%;
}

#menu-items ul li.single .item-title, li.group .item-title ,
#menu-items ul li.single .visual-tag-container, li.group .visual-tag-container ,
#menu-items ul li.single .item-price, li.group .item-price,
#menu-items ul li.single .item-description, li.group .item-description,
#menu-items ul li.single .item-thumb , li.group .item-thumb {
  position: relative;
  z-index: 1;
}
  
#menu-items ul li.group,
#menu-items ul li.single {
  max-height: fit-content;
  box-shadow: 0 4px 8px #00000014;
  padding: 8px;
  background-color: transparent;
  transition: all 0.3s ease-in-out;
  /* outline: 2px solid #dbdada;  */
  /* outline: 1px solid var(--secondary); */
  border: none;
  /* border-left:3px solid var(--header-footer);
    display:flex; */
  gap: 2rem;
  background-color: #fff;
  border-radius: 5px; 
  background: #03484c0a;


  & .item-thumb {
    background-color: transparent !important;
    position: relative;
    transition: all 0.3s ease-in-out;

    & img {
      min-height: 130px;
      /* outline: 4px solid var(--text); */
      border-radius: 2px;
      background-color: var(--text);
      
      

      @media (max-width: 379px) {
        width: 100%;
      }
    }
  }

  & .item-description {
    margin-bottom: 2rem;
    width: 75%;
  }

  & .item-title-container {
    display: flex;
    gap: 0.5rem;
    width: 100%;
  }

  & .item-description{
    display:flex;
    width:100%;
    color: var(--text);
  }
  
  & .item-title {
    font-weight: 800;
    background-color: transparent;
    transition: all 0.1s ease;
    color:var(--primary);
  }

.item-icons{
        filter: invert(19%) sepia(100%) saturate(745%) hue-rotate(137deg) brightness(95%) contrast(98%);
  }
  
  & .item-price {
    font-size: 14px;
    position: absolute; 
    right: 0px; /* Align to the right end */
    top: 0px; 
    padding: 10px;
    /* border-bottom-right-radius: 0px;
    border-top-left-radius: 10px; */
    background: var(--secondary) !important;
    color: #fff;
    transition: all 0.3s ease;
  }

  @media (max-width: 768px) {
    display: block;
    margin: 30px;
    height: 100%;
    padding: 15px;

    & .item-thumb {
      height: auto;
    }
  }
}

#menu-items ul li.group:hover,
#menu-items ul li.single:hover {
  /* background-color: var(--secondary) !important; */
  background-color: #fff;
  box-shadow: 0 4px 8px #0000004a;
  /* color:#000000; */
  outline: 2px solid var(--header-footer);
  outline-offset: 4px;
  
  & .item-title {
    color:#fff;
    font-weight: 900;
  }

  & .item-price {
    background: var(--primary) !important;
    border-bottom-left-radius:10px;
    border-top-right-radius:5px;

  }
  
  & .item-description{
    color:#fff;
  }

  .item-icons{
    filter: invert(100%);
  }

  /* & .item-icons-container .item-icons img {
    filter: brightness(0%) invert(100) !important;
    }  */

  & .item-thumb {
    transform: scale(1.1);
  }
}
.main-mask {
  backdrop-filter: blur(5px);
  height: 100vh;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  z-index: 99;
}
 

.storeinfo{
  padding-bottom: 4rem;
  font-family: "Montserrat", sans-serif;
  p{
    padding-right: 5rem !important;
  }
}
/* end ng menu */

body:has(#new_customer){
    background:#eaf4f1 !important;

}
#new_customer{
  background-color:#eaf4f1;
}
.mobile-tabs{
  border-radius:5px;
  /* box-shadow: 0 4px 8px #0000001c; */
  z-index:10;
  padding-right:0;
  
  .nav-item a{
      color:#fff !important; 
      border-radius: 10px 0 0 10px !important;
      background: var(--primary);
  }

  .active a,.nav-item a:hover  {
    color:var(--primary) !important;
    border-left: #eaf4f1 !important;
    background-color:#fff !important;

  }
}

.mobile-tabs-dropdown{
  background:var(--primary)!important;
  padding:2rem !important;
  button{
    background:#fff !important;
  }
}

.tab-content {
  /* border:2px solid var(--primary);*/
  border-radius:7px;
  padding-left:4rem;
  background:#fff;
  box-shadow: 0 5px 8px #0000001c;
  padding-bottom:3rem;
  min-height:340px;
}

#new-customer-details{
  padding: 4rem !important;
}

@media (max-width:1024px){
  #new_customer #new-customer-details .tab-content{
    top:60px;
    padding-top: 1rem;
  }
  #main-content .container{
  background:#fff;
}
}

@media (min-width: 1024px){
  .navbar-nav.navbar-right:last-child:before{
    content:'';
    width:90px;
    height:90px;
    top:10px;
    left: 20px;
    position:absolute;
    background: url(./uploads/logo1.png);
    background-size:cover;
    transition: all 0.3s ease;
  }
.navbar-left{
  margin-left: 150px !important;
  height: 100px;
  display: flex;
  align-items: center;
}
.navbar-left li a{
  background-color: rgba(3, 65, 68, 0.63);
  margin:5px;
  border-radius:5px;
  transition: all 0.3s ease;
}
.navbar-left li a:hover{
  background:var(--secondary) !important;
  border-radius:5px;
  transform:scale(1.1);
}
}



@media (min-width: 769px) and (max-width: 1024px){

      #wrap {
        background-color: var(--primary) !important;
      }
  .office-wrapper{
    height: auto;
    width: 100% !important;
    padding-left: 0 !important;
  }
 
  .navbar{
  height: 60px;
  background-color: var(--primary);
  padding-bottom: 1rem;
}
  .navbar-nav.navbar-right:last-child{
  height: 60px !important;
  display: flex;
  align-items: center;
  font-family: "Montserrat", sans-serif;
}
  .container{
    background-color: #313237;
  }
  .desk-top-title{
    color: white;
  }
  .desk-top-title::before{
  content: "The Rec Hotel ";
}
  .office-info h3#title {
  display: block;
  border-bottom: 1px solid white;
  width: 100%;
}
  #bs-navbar{
    color: white !important;
    /* border: 1px solid red; */
    width: 100% !important;
    justify-content: center;
p{
  color: white;
  padding-right: 0 !important;
}
  }
#h-phone{
  margin-right: 3rem !important;
}
#menu-items h1{
  background-color: white;
  color: black;
   font-family: "Abril Fatface", serif;
  font-size: 3rem;
}
  #menu-items{
    background-color: white;
  }
  .horizontal-menu-fixed{
    padding-bottom: 0 !important;
    padding-top: 0 !important;
  } 
  #main-nav{
  padding-bottom: 0;
    border-bottom: 0;
  }
  #menu{
    padding: 0;
  }
}

@media (max-width: 768px){
    #left-nav{
  top:70px;
}
  
 #main-nav{
  height: 60px;
 }
  .navbar-nav.navbar-right:last-child{
    height: 60px !important;
  }

  .store-frame{
    text-align: center;
  }
  
  #menu-cont > #menu > #menu-ul > li > a.menu-active{
    border-radius: 0 !important;
  }

  #menu ul li{
    /* border: 1px solid red; */
    padding: 0;
  }
   #menu ul li a{
     border-radius: 0;
     height: 44px;
     display: flex;
     align-items: center;
     background-color: var(--primary);
     color: white !important;
   }
  .pn-Advancer{
    background-color: var(--primary) !important;
  }
  .horizontal-menu-fixed{
    padding-bottom: 0 !important;
    padding-top: 0 !important;
    margin-top: 10px !important;
  }
  .store-frame:before{
    content:'The Rec Toodyay';
    font-size: 40px;
    display: flex;
    width: 100% !important;
    justify-content: center;
    background-color: var(--primary);
    color: white;
    font-family: "Abril Fatface", serif;
    border-bottom: 1px solid #00800091;
  }
  .store-frame{
    /* background-color: var(--primary); */
    padding: 0;
  }
      #menu-cont > #menu > #menu-ul > li > a.menu-active {
        background-color: rgba(3, 65, 68, 0.63) !important;
      }
   #menu ul{
    background-color: var(--primary);
  }
}

@media (max-width:480px){
  #menu{
    top:70px;
  }
  
  #left-nav{
    top:80px;
  }
  
  #menu ul{
    background-color: var(--primary);
  }
  
  .store-frame{
    margin-top: 10px;    
    text-align: center;
  }
  
 .toggle-left, .navbar-right a span{
    filter:invert(100%);
  }
  
  .navbar-inverse {
    border-color: black !important;
  }
  
  .store-frame:before{
    content:'The Rec Toodyay';
    font-size: 40px;
    display: flex;
    width: 100% !important;
    justify-content: center;
    background-color: var(--primary);
    color: white;
    font-family: "Abril Fatface", serif;
    border-bottom: 1px solid #00800091;
  }
  
  .store-frame{
    /* background-color: var(--primary); */
    padding: 0;
  }
  
  #menu-cont > #menu > #menu-ul > li > a.menu-active {
    background-color: rgba(3, 65, 68, 0.63) !important;
  }

  #menu-items h1{
    text-align:center;
  }
  
  #menu-items ul li.group,
  #menu-items ul li.single {
    display:flex;
    flex-direction:column;
    justify-content:center !important;
    align-items:center;
    text-align:center;

    & .item-description,.item-title-container{
      text-align:center !important;
      justify-content:center;
    }

    & .item-title{
      font-size:17px !important;  
    }

    & .item-thumb{
      width:100% !important;
    }
  }

  .menu-item .item-thumb img {
    width:100%;
    min-height:150px !important;
    border-radius:5px !important;
    object-fit:contain;
    background-color: #c4fcff08 !important;

  }
}